Doomsday Engine - Feature #1524

[XG] Ability to do anything with ammo, weapons and artefacts
2010-10-26 20:49 - vermil

Status: New Start date: 2010-10-26
Priority: High % Done: 0%
Assignee:

Category:

Target version: Modding

Description

XG can be used to alter (i.e add or remove) the player’s health, armour and keys in various ways and all can be requirements (i.e.
line X won't activate if the player doesn't have a blue key card and more than 150 armour).

However, there is no similar set of functions for ammo, weapons (including HeXen weapon pieces) or artefacts. XG can't alter or use
any of these as a requirement at tall.

Labels: XG

Related issues:
Related to Feature #1620: XG 2.0 Progressed  2010-04-20

History

#1 - 2013-10-22 10:59 - skyjake
- Tags set to XG, Scripting
- Subject changed from XG: Ability to do anything with ammo, weapons and artefacts to [XG] Ability to do anything with ammo, weapons and artefacts

- Priority changed from Normal to High

#2 - 2017-04-03 18:48 - skyjake

- Target version set to Modding
